D-Bus 1.13.18

Data Fields
DBusServer Struct Reference
D-Bus secret internal implementation details » DBusServer implementation details

`#include <dbus-server-protected.h>`

## Data Fields
DBusAtomic | refcount
| Reference count.
const DBusServerVTable * | vtable
| Virtual methods for this instance.
DBusRMutex * | mutex
| Lock on the server object.
DBusGUID | guid
| Globally unique ID of server.
DBusString | guid_hex
| Hex-encoded version of GUID.
DBusWatchList * | watches
| Our watches.
DBusTimeoutList * | timeouts
| Our timeouts.
char * | address
| Address this server is listening on.
dbus_bool_t | published_address
| flag which indicates that server has published its bus address.
int | max_connections
| Max number of connections allowed at once.
DBusDataSlotList | slot_list
| Data stored by allocated integer ID.
DBusNewConnectionFunction | new_connection_function
| Callback to invoke when a new connection is created.
void * | new_connection_data
| Data for new connection callback.
DBusFreeFunction | new_connection_free_data_function
| Callback to invoke to free new_connection_data when server is finalized or data is replaced.
char ** | auth_mechanisms
| Array of allowed authentication mechanisms.
unsigned int | disconnected: 1
| TRUE if we are disconnected.
unsigned int | have_server_lock: 1
| Does someone have the server mutex locked.

## Detailed Description

Internals of DBusServer object

Definition at line 56 of file dbus-server-protected.h.

The documentation for this struct was generated from the following file:

- dbus-server-protected.h